import apiClient from "@/infrastructure/apiClient";
import apiPath from "@/infrastructure/apiPath";

export default {
  // Chấm công (Check-In/Check-Out)
  async punchAttendance(formData) {
    return await apiClient
      .post(apiPath.attendance.punch, formData, {
        headers: {
          "Content-Type": "multipart/form-data",
        },
      })
      .then((r) => r.data)
      .catch((e) => {
        console.error(e);
        return { Result: 0, Message: "Có lỗi khi gửi yêu cầu chấm công" };
      });
  },
};
